New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Installing gi sound library conflicts with GObject Introspection library in Ubuntu 17.10 #177

Closed
jarav opened this Issue Jan 14, 2018 · 4 comments

Comments

2 participants
@jarav

jarav commented Jan 14, 2018

Bug Report

Installing "gi" sound library in Ubuntu 17.10 through "sudo pip3 install gi" causes problems with the girepository library used by PyGObject for writing applications for Gnome.

Actual behavior:

Conflicts with several Gtk3 applications in Ubuntu. Applications such as gnome-terminal, gnome-tweak-tool, etc fail to start.

Expected behavior:

Steps to reproduce/example code:

@pvcraven pvcraven added the bug label Jan 15, 2018

@pvcraven pvcraven self-assigned this Jan 15, 2018

@pvcraven

This comment has been minimized.

Owner

pvcraven commented Jan 15, 2018

This didn't work well on Travis-CI either. Which leaves no good solution for Linux sound. I'll disable for the next alpha. Thanks for the report and sorry for the trouble.

@pvcraven

This comment has been minimized.

Owner

pvcraven commented May 18, 2018

Can't really fix, but we can eliminate the need for gi if we are just playing .wav files. We'll do that for 1.3.4.

@pvcraven

This comment has been minimized.

Owner

pvcraven commented May 24, 2018

See #213. Done for 1.3.4.

@pvcraven pvcraven moved this from To do to Done in Release 1.3.4 May 24, 2018

@pvcraven pvcraven added this to the 1.3.4 milestone May 24, 2018

@pvcraven

This comment has been minimized.

Owner

pvcraven commented May 28, 2018

Closed with release of 1.3.4 on 28-May-2018.

@pvcraven pvcraven closed this May 28, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment